=== modified file 'bzrlib/osutils.py'
--- bzrlib/osutils.py	2011-12-14 19:31:25 +0000
+++ bzrlib/osutils.py	2011-12-18 15:49:48 +0000
@@ -2325,13 +2325,13 @@
 
 
 if sys.platform == "win32":
-    import msvcrt
     def getchar():
+        import msvcrt
         return msvcrt.getch()
 else:
-    import tty
-    import termios
     def getchar():
+        import tty
+        import termios
         fd = sys.stdin.fileno()
         settings = termios.tcgetattr(fd)
         try:

=== modified file 'bzrlib/tests/test_import_tariff.py'
--- bzrlib/tests/test_import_tariff.py	2011-12-12 11:23:28 +0000
+++ bzrlib/tests/test_import_tariff.py	2011-12-18 15:49:48 +0000
@@ -193,6 +193,8 @@
             'smtplib',
             'tarfile',
             'tempfile',
+            'termios',
+            'tty',
             ] + old_format_modules)
         # TODO: similar test for repository-only operations, checking we avoid
         # loading wt-specific stuff
@@ -262,4 +264,6 @@
             'smtplib',
             'tarfile',
             'tempfile',
+            'termios',
+            'tty',
             ] + old_format_modules)

